extends Control

@export var IntroTime : float = 6.8

var should_run : bool = false

func _ready():
	get_tree().paused = true
	self.show()
	
	await get_tree().create_timer(IntroTime).timeout
	self.hide()
	should_run=true
	get_tree().paused = false

func _process(_delta):
	if should_run:
		return
	get_tree().paused = true

func _unhandled_input(event):
	if event is InputEventMouseButton:
		self.hide()
		should_run=true
		get_tree().paused = false
